#!/bin/bash

dirname=$(dirname $0)

. ${dirname}/fhgfs_setup.defaults

hostlist=""

if [ "$1" = "" ]; then exit 0; fi
while [ "$1" != "" ]
do
  hostlist="${hostlist} $1"
  shift
done

for host in ${hostlist}
do
  (ssh -nf -o NumberOfPasswordPrompts=0 ${host} /bin/true) > /dev/null 2>&1
  if [ $? -ne 0 ] 
  then
    echo ${host}
  fi
done

exit 0

