#!/bin/bash

dirname=$(dirname $0)



. ${dirname}/fhgfs_setup.defaults

#if [ -e ${confdir}/config ]
#then
#  . ${confdir}/config
#fi


function write_config() {
   host=$1
   configfile=$2
   cmd=""
   for line in $(cat ${confdir}/config)
    do
     option=$(echo ${line} | cut -f 1 -d "=") 
     cmd="${cmd}sed -i 's!${option}=.*!${line}!g' ${configfile};"
    done
   ssh -oStrictHostKeyChecking=no -oNumberOfPasswordPrompts=0 ${host} ${cmd}

#    echo "${clientMount} /etc/fhgfs/fhgfs_client.conf" > ${confdir}/fhgfs_mounts.conf
}

if [ "$1" = "" ];then exit 1;fi
if [ "$2" = "" ];then exit 1;fi

write_config $1 $2
if [ $? -ne 0 ];then exit 1;fi
