#!/bin/bash

dirname=$(dirname $0)



. ${dirname}/fhgfs_setup.defaults

#if [ -e ${confdir}/config ]
#then
#  . ${confdir}/config
#fi


function write_config() {
   host=$1
   clientMount=$(grep clientMount ${confdir}/config | cut -d "=" -f 2)
   ssh -oStrictHostKeyChecking=no -oNumberOfPasswordPrompts=0 ${host} "echo "${clientMount} /etc/fhgfs/fhgfs_client.conf" > /etc/fhgfs/fhgfs_mounts.conf"
}

if [ "$1" = "" ];then exit 1;fi

write_config $1 
if [ $? -ne 0 ];then exit 1;fi
